Location Configuration
Get the configuration for a location using a unique API key (i.e., location key).
This API call requires the API key as well as the business key to be sent in the HTTP Authorization header in the following format:
Authorization: Token token=LOCATION_KEY_GOES_HERE, btoken=BUSINESS_KEY_GOES_HERE
where
LOCATION_KEY_GOES_HERE is the API key (which is unique for a location) and BUSINESS_KEY_GOES_HERE is the business key (which is unique for a business).
See cURL examples for more details.
Headers
- Type: stringAuthorizationrequired
This is a combination of unique API key as well as business key (UUID) as the Authorization header.
- Type: stringAccept
- Language Short code for locale variant (e.g., fr-ca, es-ES, en-EN, etc.)
Responses
- application/json
Request Example for get/api/pos/locations/configuration
curl https://SERVER_NAME_GOES_HERE.punchh.com/api/pos/locations/configuration \
--header 'Authorization: Token token=LOCATION_KEY_GOES_HERE, btoken=BUSINESS_KEY_GOES_HERE' \
--header 'Accept-Language: en'
{
"banked_rewards_mode": "1",
"business_name": "BUSINESS_NAME_GOES_HERE",
"header": "Header Punchh",
"location_id": "327922",
"location_name": "327922-punchh-demo",
"log_level": "6",
"points_unlock_mode": "0",
"print_barcodes": "1",
"send_to_datasink": "1",
"short_key": "6624",
"trailer_1": "Barcode Punchh Line #1",
"trailer_2": "Barcode Punchh Line #2",
"trailer_3": "Barcode Punchh Line #3",
"trailer_4": "Barcode Punchh Line #4",
"trailer_5": "THANKS Punchh",
"update_interval": "60",
"visits_mode": "0",
"multiple_redemption_on_location": true
}